﻿using System;
using System.Windows.Markup;
using System.Xml;

namespace XmlSerializersTest.Serializers
{
    class XamlSerializer : IXmlSerializer
    {
        public string Name { get { return "XAML"; } }

        public void Serialize(object obj, XmlWriter writer)
        {
            XamlWriter.Save(obj, writer);
        }

        public object Deserialize(XmlReader reader, Type typeToDeserialize)
        {
            return XamlReader.Load(reader);
        }
    }
}
